WordPress.org

Support

Support » Plugins and Hacks » Striper - Stripe Integration for WooCommerce » [Resolved] Stripe class already declared [FIXED]

[Resolved] Stripe class already declared [FIXED]

  • After installing Striper I would get an error about Strip class already declared. This is probably because I’m using stipe elsewhere on my site and the library’s already being loaded.

    I fixed this by adding the following lines to the top of strip_gateway.php:

    /* ADDED THIS IF TO AVOID CLASS CONFLICTS WHEN USING STRIPE ELSEWHERE */
    if (!class_exists('Stripe')) {
    require_once("lib/stripe-php/lib/Stripe.php");
    }

    It would be nice if this was included in the source.

    Otherwise great plugin.

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] Stripe class already declared [FIXED]’ is closed to new replies.
Skip to toolbar